@echo off

IF EXIST "__backup/ZapSound.baa" (
  goto FAIL
)

:PACK
mkdir "./__backup"
mkdir "./__backup/Waves"
copy "./ZapSound.baa" "./__backup/" > NUL
copy "./Waves" "./__backup/Waves" > NUL
echo Unpacking BAA....
echo "%CD%/Waves"
%CD%/tool/jampacked.exe unpack ZapSound.baa Audio_Modding
%CD%/tool/wsystool.exe unpack "./Audio_Modding/include/2.wsy" "./Audio_Modding/2" -awpath "%CD%/Waves/"
%CD%/tool/wsystool.exe unpack "./Audio_Modding/include/3.wsy" "./Audio_Modding/3" -awpath "%CD%/Waves/"
%CD%/tool/wsystool.exe unpack "./Audio_Modding/include/4.wsy" "./Audio_Modding/4" -awpath "%CD%/Waves/"
echo Done.

echo Unpack soundtable...
"%CD%/tool/bast.exe" unpackbst "./Audio_Modding/include/0.bst" "./Audio_Modding/include/1.bstn" "./Audio_Modding/SoundTable"
echo Done.

GOTO EOF

:FAIL
echo WARNING: You already have a backup. If you make a backup now, and have made any changes, this will corrupt the backup of your original game files.
echo Choose wisely.
SET /P AREYOUSURE=No regrets, mister freeman: (Y/[N])
IF /I "%AREYOUSURE%" EQU "Y" GOTO PACK

:EOF
pause